package com.clx.performance.event;

import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

@Getter
@Setter
public class OwnerLoanFlagEvent extends ApplicationEvent {


    private Long loanNo;


    /**
     * Create a new {@code ApplicationEvent}.
     *
     * @param source the object on which the event initially occurred or with
     *               which the event is associated (never {@code null})
     */
    public OwnerLoanFlagEvent(Object source) {
        super(source);
    }

    public OwnerLoanFlagEvent(Object source, Long loanNo) {
        super(source);
        this.loanNo = loanNo;
    }

}
